Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.data
Class SimpleStore

    java.lang.Object
      com.gwtext.client.core.JsObject
          com.gwtext.client.data.Store
              com.gwtext.client.data.SimpleStore

    public class SimpleStore

extends Store

Convenience class that creates a Store directly using field names and local array data. Usage :

     Store store = new SimpleStore(new String[]{"theme", "label"}, new Object[][]{
                    new Object[]{"xtheme-aero.css", "Aero Glass Theme"},
                    new Object[]{"xtheme-gray.css", "Gray Theme"},
                    new Object[]{"xtheme-vista.css", "Vista Dark Theme"}});

Field Summary

Fields inherited from class com.gwtext.client.data.Store
`configJS`

Fields inherited from class com.gwtext.client.core.JsObject
`jsObj`

Constructor Summary
`SimpleStore(int id, FieldDef[] fieldDefs, java.lang.Object[][] data)` Construct a SimpleStore.
`SimpleStore(int id, java.lang.String[] fields, java.lang.Object[][] data)` Construct a SimpleStore.
`SimpleStore(java.lang.String[] fields, java.lang.Object[][] data)`
`SimpleStore(java.lang.String field, java.lang.Object[] data)` Construct a single field SimpleStore.

Method Summary

Methods inherited from class com.gwtext.client.data.Store
`add, add, addSorted, addStoreListener, clearFilter, clearFilter, clearSortState, commitChanges, each, filter, filter, filter, filterBy, find, getAt, getBaseParams, getById, getCount, getFields, getJsObj, getModifiedRecords, getRange, getRecordAt, getRecords, getRecordsAsJS, getSortState, getTotalCount, indexOf, indexOfId, insert, insert, load, load, load, load, loadJsonData, loadXmlData, loadXmlDataFromUrl, query, query, query, queryBy, rejectChanges, reload, reload, reload, remove, removeAll, setAutoLoad, setBaseParams, setDataProxy, setDefaultSort, setDefaultSort, setInitialSortState, setPruneModifiedRecords, setReader, setRecordDef, setRemoteSort, setSortInfo, setStoreId, setUrl, sort, sort, sort, sum, sum`

Methods inherited from class com.gwtext.client.core.JsObject
`getProperties, isCreated, setJsObj`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleStore

    public SimpleStore(java.lang.String field,
                       java.lang.Object[] data)

  Construct a single field SimpleStore.

  Parameters:
    `field` - a single field
    `data` - store data. all fields are treated as String's

### SimpleStore

    public SimpleStore(java.lang.String[] fields,
                       java.lang.Object[][] data)

### SimpleStore

    public SimpleStore(int id,
                       java.lang.String[] fields,
                       java.lang.Object[][] data)

  Construct a SimpleStore.

  Parameters:
    `id` - name of the ID field
    `fields` - array of field names. All Fields are treated as Strings
    `data` - store data

### SimpleStore

    public SimpleStore(int id,
                       FieldDef[] fieldDefs,
                       java.lang.Object[][] data)

  Construct a SimpleStore.

  Parameters:
    `id` - name of the ID field
    `fieldDefs` - the field definitions
    `data` - store data

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD